///////////////////////////
//	File: CPlayer.h
//	Author:	Eric Green
//	Purpose: Player class definition
#include "CBase.h"
#include "CSGD_DirectInput.h"
#include "IListener.h"


class CPlayer :
	public CBase
{
private:
	CSGD_DirectInput* m_pDI;
public:
	CPlayer(void);
	virtual ~CPlayer(void);
	void Update();
	void HandleEvent(CEvent* pEvent);
};
